Logo
OpenScaler
API DocumentationLoad Balancer Certificates

Delete a Certificate

DELETE
/v1/lbs/{lb_id}/certificates/{certificate_name}

Remove a certificate from the given load balancer.

Authorization

bearer_auth
AuthorizationBearer <token>

Authentication

Create an API token on Profile, or with osctl auth login. Send it in the Authorization header:

Authorization: Bearer os1_...

Do not use the Keycloak web-session JWT as an API token. Keep the secret secure and do not share it.

In: header

Path Parameters

lb_id*string

A unique identifier for a load balancer instance.

Formatuuid
certificate_name*string

The name of a certificate on a load balancer.

Response Body

application/json

application/json

text/pain

application/json

application/json

curl -X DELETE "https://example.com/v1/lbs/550e8400-e29b-41d4-a716-446655440000/certificates/my-cert"
null
{  "errors": [    {      "message": "'vcpus' field must be an integer",      "field": "resource_id"    }  ]}
"Access denied"
{  "errors": [    {      "message": "User not initialized. Send POST /v1/init, then retry the request."    }  ]}
{  "errors": [    {      "message": "VM with ID 23 not found"    }  ]}